Epic # 55070 (Accepted): Workpackages
Epic # 54542 (Accepted): WP: Importer / Exporter with relations MM/IRRE/FAL
Story # 55520 (Resolved): As an User I want to create exports in v. 6.2 and import them in v. 6.2

Status: Resolved Priority: Should have
Author: Marc Bastian Heinrichs Category: DataHandler aka TCEmain
Updated: 2014-02-26 Due date:
TYPO3 Version: 6.2
Complexity:
Sprint Focus:
Subject: Avoid to find a file object with uid 0
Description

When processing imports there could be the value integer 0 in fields being files (don't ask me why).

E.g. Datahandler tries to find a correspondent file object, which results in a Exception.

Avoid this.

Related issues:
related to Core - Task # 52593: Impexp: make 4.x exports work as import in 6.x Resolved 2013-10-07

Associated revisions
Revision f5dd8bf2 - 2014-02-26 21:58 - Marc Bastian Heinrichs

[BUGFIX] Avoid to get a file object with the uid zero

At some points where a file object is retrieved, a check for
the interpretation as integer is done for the method
argument only. If the argument is 0 a exception will be
thrown from the ResourceFactory.
A file object should only be fetched if the uid is an integer
greater than zero.

Resolves: #55530
Releases: 6.2
Change-Id: I9399d58bac4a48344769ac00207b64e25eea630e
Reviewed-on: https://review.typo3.org/27304
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Markus Klein
Tested-by: Markus Klein

History
#1 - 2014-02-03 18:13 - Marc Bastian Heinrichs
- Subject changed from Avoid the Datahandler to find a file object with uid 0 to Avoid to find a file object with uid 0

#2 - 2014-02-03 18:38 - Gerrit Code Review
https://review.typo3.org/27304


- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27304

#3 - 2014-02-04 16:27 - Marc Bastian Heinrichs
- % Done changed from 0 to 80

#4 - 2014-02-18 19:42 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27304

#5 - 2014-02-26 22:30 - Marc Bastian Heinrichs
- Status changed from Under Review to Resolved
- % Done changed from 80 to 100

Applied in changeset commit:f5dd8bf272767366576f16ee466433089fe2b864.
